> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/geo-endpoints-for-spatial-data-access.md).

# Geo крайни точки за достъп до пространствени данни

{% hint style="success" %}
GeoPard използва <https://www.ogc.org/> формати за геопространствени данни на Open Geospatial Consortium, като WMS за изображения и WFS за векторни данни. Работим и с shapefile файлове за импортиране и експортиране. Системата позволява гъвкаво импортиране и експортиране във всеки от тези формати. За сателитни изображения работим с [COG (Cloud Optimized GeoTIFF)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Трябва да инсталирате Postman, за да изпращате WMS/WFS заявки.
{% endhint %}

{% hint style="info" %}
Всяка заявка трябва да бъде подписана с HEADER "Authorization" (в който се поставя токенът) или с URL параметъра "geopardApiKey " (в който се поставя API ключът на потребителя).
{% endhint %}

Крайните точки на WMS API се съхраняват в атрибутите "geoMaps" на обектите "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset" и "YieldDataset". Вижте [схемата на данните на GeoPard.](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/geopard-api-data-schema.md)

Крайните точки на WFS API се съхраняват в атрибутите "boundaryUrl", "zonesMapUrl" и "attributesUrl" на обектите "Field" и "VectorAnalysisMap".

{% hint style="info" %}
Препоръчваме да използвате проекцията EPSG:900913 вместо EPSG:3857 за по-точни изображения.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
